Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.codehaus.groovy.grails.orm.support
[Java] Interface TransactionManagerAware

    public interface TransactionManagerAware
    extends org.springframework.beans.factory.Aware

Authors:
  Graeme Rocher

Since:
  0.4

Method Summary
`void` | `setTransactionManager(org.springframework.transaction.PlatformTransactionManager transactionManager)` Sets the transaction manager on implementors

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### setTransactionManager

    public void setTransactionManager(org.springframework.transaction.PlatformTransactionManager transactionManager)

  Sets the transaction manager on implementors
  Parameters:
    `transactionManager` - The TransactionManager implementation

Groovy Documentation